## com.vividsolutions.jts.algorithm.distance
Class DiscreteHausdorffDistance.MaxPointDistanceFilter

    java.lang.Object
      com.vividsolutions.jts.algorithm.distance.DiscreteHausdorffDistance.MaxPointDistanceFilter

All Implemented Interfaces:
  CoordinateFilter

Enclosing class:
  DiscreteHausdorffDistance

public static class DiscreteHausdorffDistance.MaxPointDistanceFilter
extends java.lang.Object
implements CoordinateFilter

Constructor Summary
`DiscreteHausdorffDistance.MaxPointDistanceFilter(Geometry geom)`

Method Summary
`void` `filter(Coordinate pt)` Performs an operation with or on `coord`.
`PointPairDistance` `getMaxPointDistance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscreteHausdorffDistance.MaxPointDistanceFilter

    public DiscreteHausdorffDistance.MaxPointDistanceFilter(Geometry geom)

Method Detail

### filter

    public void filter(Coordinate pt)

  Description copied from interface: `CoordinateFilter`
  Performs an operation with or on `coord`.

  Specified by:
    `filter` in interface `CoordinateFilter`
  Parameters:
    `pt` - a `Coordinate` to which the filter is applied.

### getMaxPointDistance

    public PointPairDistance getMaxPointDistance()